$ErrorActionPreference = 'Stop'; # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = "https://gitlab.com/gitlab-org/cli/-/releases/v1.35.0/downloads/glab_1.35.0_Windows_i386.zip"
$url64 = "https://gitlab.com/gitlab-org/cli/-/releases/v1.35.0/downloads/glab_1.35.0_Windows_x86_64.zip"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64
  checksum      = '80BF5BBD907F2D5A5CB0E399737BBF161040A7C525C4D27B1C0A3BF07CCF69AB'
  checksumType  = 'sha256'
  checksum64    = 'ED9E88F2CD60C99EBC2CDA4C351F39BD291878100F9AF4D5FADE885E0ABDB6DA'
  checksumType64= 'sha256'
}
Install-ChocolateyZipPackage @packageArgs # https://docs.chocolatey.org/en-us/create/functions/install-chocolateyzippackage

# Remove any zip files from previous installs
Remove-Item $toolsDir/*.zip -ErrorAction SilentlyContinue
